Index: branches/cleanup/src/lib/sound/sound_engine.h
===================================================================
--- branches/cleanup/src/lib/sound/sound_engine.h	(revision 10575)
+++ branches/cleanup/src/lib/sound/sound_engine.h	(revision 10576)
@@ -15,5 +15,5 @@
 #include <list>
 #include <stack>
-#include "threads/threading.h"
+#include "threads/mutex.h"
 
 #define SOUND_DOPPLER_FACTOR       0.001          //!< A factor for the audible doppler effect
Index: branches/cleanup/src/lib/util/threads/mutex.h
===================================================================
--- branches/cleanup/src/lib/util/threads/mutex.h	(revision 10575)
+++ branches/cleanup/src/lib/util/threads/mutex.h	(revision 10576)
@@ -1,7 +1,12 @@
 #ifndef __MUTEX_H__
 #define __MUTEX_H__
-    
-    class Mutex
+
+
+#include "threadincl.h"
+namespace OrxThread
 {
+
+  class Mutex
+  {
   public:
     Mutex() {  this->mutex = SDL_CreateMutex(); };
@@ -14,5 +19,5 @@
   private:
     SDL_mutex* mutex;
-};
-
+  };
+}
 #endif /* __MUTEX_H__ */
Index: branches/cleanup/src/lib/util/threads/mutex_locker.h
===================================================================
--- branches/cleanup/src/lib/util/threads/mutex_locker.h	(revision 10575)
+++ branches/cleanup/src/lib/util/threads/mutex_locker.h	(revision 10576)
@@ -1,7 +1,13 @@
 #ifndef __MUTEX_LOCKER_H__
 #define __MUTEX_LOCKER_H__
-    //! A Class that locks a Mutex within its scope
-    class MutexLock
+
+#include "mutex.h"
+
+namespace OrxThread
 {
+
+  //! A Class that locks a Mutex within its scope
+  class MutexLock
+  {
   public:
     //! Locks the Mutex mutex in this Scope.
@@ -10,5 +16,5 @@
   private:
     Mutex* mutex;         //!< The Mutex to lock.
-};
+  };
 }
 
Index: branches/cleanup/src/lib/util/threads/thread.cc
===================================================================
--- branches/cleanup/src/lib/util/threads/thread.cc	(revision 10575)
+++ branches/cleanup/src/lib/util/threads/thread.cc	(revision 10576)
@@ -1,12 +1,12 @@
 /*
     orxonox - the future of 3D-vertical-scrollers
-
+ 
     Copyright (C) 2004 orx
-
+ 
     This program is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation; either version 2, or (at your option)
     any later version.
-
+ 
 ### File Specific:
     main-programmer: ...
@@ -16,27 +16,27 @@
 //#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
 
-#include "threading.h"
+#include "thread.h"
 
 
 
-    namespace OrxThread
+namespace OrxThread
 {
 
-/**
-   * standard constructor
-   * @todo this constructor is not jet implemented - do it
- */
-// Thread::Thread()
-// {
-// }
+  /**
+     * standard constructor
+     * @todo this constructor is not jet implemented - do it
+   */
+  // Thread::Thread()
+  // {
+  // }
 
 
-/**
-   * standard deconstructor
- */
-// Thread::~Thread()
-// {
-//   // delete what has to be deleted here
-// }
+  /**
+     * standard deconstructor
+   */
+  // Thread::~Thread()
+  // {
+  //   // delete what has to be deleted here
+  // }
 
 }
Index: branches/cleanup/src/lib/util/threads/thread.h
===================================================================
--- branches/cleanup/src/lib/util/threads/thread.h	(revision 10575)
+++ branches/cleanup/src/lib/util/threads/thread.h	(revision 10576)
@@ -2,9 +2,5 @@
 #define __THREAD_H__
 
-#ifdef HAVE_SDL_H
-#include <SDL_thread.h>
-#else
-#include <SDL/SDL_thread.h>
-#endif
+#include "threadincl.h"
 
 namespace OrxThread
@@ -13,20 +9,21 @@
   class Thread
   {
-    public:
-      Thread(int (*fn)(void *), void *data) { this->thread = SDL_CreateThread(fn, data); };
-      virtual ~Thread() { SDL_KillThread(this->thread); }
-      void exit ( int returnCode = 0 );
-      bool isFinished () const;
-      bool isRunning () const;
-      void wait() { SDL_WaitThread(this->thread, NULL); };
+  public:
+    Thread(int (*fn)(void *), void *data) { this->thread = SDL_CreateThread(fn, data); };
+    virtual ~Thread() { SDL_KillThread(this->thread); }
+    void exit ( int returnCode = 0 );
+    bool isFinished () const;
+    bool isRunning () const;
+    void wait() { SDL_WaitThread(this->thread, NULL); };
 
-      void start();
-      void terminate();
+    void start();
+    void terminate();
 
 
-    private:
-      SDL_Thread* thread;
+  private:
+    SDL_Thread* thread;
 
   };
+}
 
 #endif /* __THREAD_H__ */
Index: branches/cleanup/src/lib/util/threads/threadincl.h
===================================================================
--- branches/cleanup/src/lib/util/threads/threadincl.h	(revision 10576)
+++ branches/cleanup/src/lib/util/threads/threadincl.h	(revision 10576)
@@ -0,0 +1,10 @@
+#ifndef __THREAD_INCLUDE_H__
+#define __THREAD_INCLUDE_H__
+
+#ifdef HAVE_SDL_H
+#include <SDL_thread.h>
+#else
+#include <SDL/SDL_thread.h>
+#endif
+
+#endif /* __THREAD_INCLUDE_H__ */
